> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedream 5.0 Lite 이미지 생성

> - Seedream 5.0 Lite (doubao-seedream-5.0-lite) 모델은 텍스트-이미지, 이미지-이미지, 이미지 편집 등 다양한 생성 모드를 지원합니다
- 비동기 처리 모드, 반환된 작업 ID로 [조회](/ko/api-manual/task-management/get-task-detail)
- 생성된 이미지 링크는 24시간 동안 유효하며, 즉시 저장해 주세요



## OpenAPI

````yaml ko/api-manual/image-series/seedream/seedream-5.0-lite-image-generate.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: doubao-seedream-5.0-lite 인터페이스
  description: AI 모델을 사용하여 이미지 작업을 생성하며, 다양한 모델 및 파라미터 설정을 지원합니다
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 프로덕션 환경
security:
  - bearerAuth: []
tags:
  - name: 이미지 생성
    description: AI 이미지 생성 관련 API
paths:
  /v1/images/generations:
    post:
      tags:
        - 이미지 생성
      summary: doubao-seedream-5.0-lite 인터페이스
      description: >-
        - Seedream 5.0 Lite (doubao-seedream-5.0-lite) 모델은 텍스트-이미지, 이미지-이미지, 이미지
        편집 등 다양한 생성 모드를 지원합니다

        - 비동기 처리 모드, 반환된 작업 ID로
        [조회](/ko/api-manual/task-management/get-task-detail)

        - 생성된 이미지 링크는 24시간 동안 유효하며, 즉시 저장해 주세요
      operationId: createImageGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            examples:
              web_search:
                summary: 웹 검색으로 이미지 생성
                value:
                  model: doubao-seedream-5.0-lite
                  prompt: 2025년 파리 패션위크 최신 트렌드 스타일의 일러스트를 생성해 주세요
                  size: '3:4'
                  quality: 2K
                  model_params:
                    tools:
                      - type: web_search
              text_to_image:
                summary: 텍스트에서 이미지로
                value:
                  model: doubao-seedream-5.0-lite
                  prompt: A serene lake reflecting the beautiful sunset
                  size: '16:9'
                  quality: 2K
      responses:
        '200':
          description: 이미지 생성 작업이 성공적으로 생성되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: 요청 매개변수가 잘못되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 인증되지 않았거나 토큰이 유효하지 않거나 만료되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 할당량이 부족합니다. 충전이 필요합니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: 접근이 거부되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: >-
                    Token does not have access to model:
                    doubao-seedream-5.0-lite
                  type: invalid_request_error
        '429':
          description: 요청 한도를 초과했습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: 서버 내부 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 이미지 생성 모델 이름
          enum:
            - doubao-seedream-5.0-lite
          default: doubao-seedream-5.0-lite
          example: doubao-seedream-5.0-lite
        prompt:
          type: string
          description: 생성하려는 이미지를 설명하거나 입력 이미지 편집 방법을 설명하는 프롬프트, 2000 토큰 제한
          example: A serene lake reflecting the beautiful sunset
          maxLength: 2000
        'n':
          type: integer
          description: >-
            생성할 최대 이미지 수, `[1,15]` 사이의 정수 값 지원


            **참고:**

            - 여러 이미지를 생성하려면 프롬프트에 "2개의 다른 이미지 생성"과 같은 내용을 포함하세요


            - 참조 이미지 수 + 최종 생성 이미지 수 ≤ 15개


            - 만약: 참조 이미지 수 + 프롬프트에서 요청한 이미지 수 > 15이고, 프롬프트에서 요청한 이미지 수 ≤ 매개변수 n
            값이면, 최종 생성 이미지 = 15 - 참조 이미지 수

            - 각 요청은 `n` 값을 기준으로 선불 청구되며, 실제 청구는 생성된 이미지 수를 기준으로 합니다
          example: 1
        size:
          type: string
          default: auto
          description: >-
            생성 이미지 크기이며 두 가지 형식을 지원합니다:


            **방법 1 - 비율 형식:**

            - `auto`, `1:1`, `2:3`, `3:2`, `3:4`, `4:3`, `4:5`, `5:4`, `9:16`,
            `16:9`, `21:9`, `9:21`

            - `quality` 매개변수와 함께 사용하면 픽셀을 직접 지정하지 않아도 해당 비율과 해상도의 이미지가 자동으로
            생성됩니다


            **방법 2 - 픽셀 형식:**

            - 너비 x 높이, 예: `2560x1440`, `2048x2048`, `4096x4096`

            - 총 픽셀 범위: `[3686400, 16777216]`

            - 종횡비 범위: `[1/16, 16]`
          example: '16:9'
        quality:
          type: string
          default: 2K
          description: |-
            해상도 등급이며 `size`의 비율 형식과 함께 사용합니다.

            | 비율 | 2K | 3K | 4K |
            |---|---|---|---|
            | `1:1` | 2048×2048 | 3072×3072 | 4096×4096 |
            | `2:3` | 1664×2496 | 2496×3744 | 3328×4992 |
            | `3:2` | 2496×1664 | 3744×2496 | 4992×3328 |
            | `3:4` | 1728×2304 | 2592×3456 | 3520×4704 |
            | `4:3` | 2304×1728 | 3456×2592 | 4704×3520 |
            | `4:5` | 1792×2240 | 2688×3360 | 3584×4480 |
            | `5:4` | 2240×1792 | 3360×2688 | 4480×3584 |
            | `9:16` | 1600×2848 | 2304×4096 | 3040×5504 |
            | `16:9` | 2848×1600 | 4096×2304 | 5504×3040 |
            | `21:9` | 3136×1344 | 4704×2016 | 6240×2656 |
            | `9:21` | 1344×3136 | 2016×4704 | 2656×6240 |
          enum:
            - 2K
            - 3K
            - 4K
          example: 2K
        prompt_priority:
          type: string
          description: |-
            프롬프트 최적화 모드를 설정하는 데 사용되는 프롬프트 최적화 전략

            **옵션:**
            - `standard`: 표준 모드, 더 높은 품질 출력, 더 긴 처리 시간
          enum:
            - standard
          default: standard
          example: standard
        image_urls:
          type: array
          description: |-
            이미지-이미지 및 이미지 편집 기능을 위한 참조 이미지 URL 목록

            **참고:**
            - 단일 요청 지원 입력 이미지 수: `14`개
            - 이미지 크기: 최대 `10MB`
            - 지원 형식: `.jpg`, `.jpeg`, `.png`, `.webp`
            - 이미지 URL은 서버에서 직접 접근 가능해야 합니다
          items:
            type: string
            format: uri
          maxItems: 14
          example:
            - https://example.com/image1.png
            - https://example.com/image2.png
        model_params:
          type: object
          description: |-
            **지원되는 매개변수:**
            - `output_format`: 출력 이미지 형식
            - `tools`: 웹 검색 도구
          properties:
            output_format:
              type: string
              description: 출력 이미지 형식
              enum:
                - png
                - jpeg
              example: jpeg
            tools:
              type: array
              description: >-
                웹 검색 도구, 이 매개변수를 활성화하면 모델이 prompt에 따라 자동으로 검색 여부를 결정하며, 검색 시 추가
                요금이 발생합니다


                **형식:**

                - `[{"type": "web_search"}]`
              items:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - web_search
                    description: 도구 유형
              example:
                - type: web_search
        callback_url:
          type: string
          description: >-
            작업 완료 후 HTTPS 콜백 주소


            **콜백 타이밍:**

            - 작업이 완료, 실패 또는 취소될 때 트리거됨

            - 과금 확인 완료 후 전송


            **보안 제한:**

            - HTTPS 프로토콜만 지원

            - 내부 IP 주소로의 콜백 금지 (127.0.0.1, 10.x.x.x, 172.16-31.x.x, 192.168.x.x
            등)

            - URL 길이는 `2048`자를 초과할 수 없음


            **콜백 메커니즘:**

            - 타임아웃: `10`초

            - 실패 시 최대 `3`회 재시도 (`1`초/`2`초/`4`초 후 재시도)

            - 콜백 응답 본문 형식은 작업 조회 API 응답 형식과 동일

            - 콜백 주소가 2xx 상태 코드를 반환하면 성공으로 간주, 다른 상태 코드는 재시도를 트리거
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: 작업 생성 타임스탬프
          example: 1757165031
        id:
          type: string
          description: 작업 ID
          example: task-unified-1757165031-seedream5lite
        model:
          type: string
          description: 실제 사용된 모델 이름
          example: doubao-seedream-5.0-lite
        object:
          type: string
          enum:
            - image.generation.task
          description: 특정 작업 유형
        progress:
          type: integer
          description: 작업 진행률 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 작업 상태
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
          description: 비동기 작업 정보
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: 작업 출력 유형
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
          description: 사용량 및 과금 정보
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: 오류 코드 식별자
            message:
              type: string
              description: 오류 설명
            type:
              type: string
              description: 오류 유형
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: 작업 취소 가능 여부
          example: true
        estimated_time:
          type: integer
          description: 예상 완료 시간 (초)
          minimum: 0
          example: 45
    Usage:
      type: object
      description: 사용량 및 과금 정보
      properties:
        billing_rule:
          type: string
          description: 과금 규칙
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 예상 소비 크레딧
          minimum: 0
          example: 1.8
        user_group:
          type: string
          description: 사용자 그룹 카테고리
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##모든 API는 Bearer Token 인증이 필요합니다##

        **API Key 받기:**

        [API Key 관리 페이지](https://evolink.ai/dashboard/keys)를 방문하여 API Key를 받으세요

        **요청 헤더에 추가:**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````